/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.records;


import com.alkemy.sophia.ripartizione.dbmodel.jooq.tables.AnagClient;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record7;
import org.jooq.Row7;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class AnagClientRecord extends UpdatableRecordImpl<AnagClientRecord> implements Record7<Integer, String, String, String, String, String, Byte> {

    private static final long serialVersionUID = 123933317;

    /**
     * Setter for <code>ANAG_CLIENT.ID_ANAG_CLIENT</code>.
     */
    public void setIdAnagClient(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>ANAG_CLIENT.ID_ANAG_CLIENT</code>.
     */
    public Integer getIdAnagClient() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>ANAG_CLIENT.CODE</code>.
     */
    public void setCode(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>ANAG_CLIENT.CODE</code>.
     */
    public String getCode() {
        return (String) get(1);
    }

    /**
     * Setter for <code>ANAG_CLIENT.COMPANY_NAME</code>.
     */
    public void setCompanyName(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>ANAG_CLIENT.COMPANY_NAME</code>.
     */
    public String getCompanyName() {
        return (String) get(2);
    }

    /**
     * Setter for <code>ANAG_CLIENT.COUNTRY</code>.
     */
    public void setCountry(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>ANAG_CLIENT.COUNTRY</code>.
     */
    public String getCountry() {
        return (String) get(3);
    }

    /**
     * Setter for <code>ANAG_CLIENT.VAT_CODE</code>.
     */
    public void setVatCode(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>ANAG_CLIENT.VAT_CODE</code>.
     */
    public String getVatCode() {
        return (String) get(4);
    }

    /**
     * Setter for <code>ANAG_CLIENT.VAT_DESCRIPTION</code>.
     */
    public void setVatDescription(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>ANAG_CLIENT.VAT_DESCRIPTION</code>.
     */
    public String getVatDescription() {
        return (String) get(5);
    }

    /**
     * Setter for <code>ANAG_CLIENT.FOREIGN_CLIENT</code>.
     */
    public void setForeignClient(Byte value) {
        set(6, value);
    }

    /**
     * Getter for <code>ANAG_CLIENT.FOREIGN_CLIENT</code>.
     */
    public Byte getForeignClient() {
        return (Byte) get(6);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record7 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row7<Integer, String, String, String, String, String, Byte> fieldsRow() {
        return (Row7) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row7<Integer, String, String, String, String, String, Byte> valuesRow() {
        return (Row7) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field1() {
        return AnagClient.ANAG_CLIENT.ID_ANAG_CLIENT;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field2() {
        return AnagClient.ANAG_CLIENT.CODE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field3() {
        return AnagClient.ANAG_CLIENT.COMPANY_NAME;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field4() {
        return AnagClient.ANAG_CLIENT.COUNTRY;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field5() {
        return AnagClient.ANAG_CLIENT.VAT_CODE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field6() {
        return AnagClient.ANAG_CLIENT.VAT_DESCRIPTION;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Byte> field7() {
        return AnagClient.ANAG_CLIENT.FOREIGN_CLIENT;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component1() {
        return getIdAnagClient();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component2() {
        return getCode();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component3() {
        return getCompanyName();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component4() {
        return getCountry();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component5() {
        return getVatCode();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component6() {
        return getVatDescription();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Byte component7() {
        return getForeignClient();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value1() {
        return getIdAnagClient();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value2() {
        return getCode();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value3() {
        return getCompanyName();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value4() {
        return getCountry();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value5() {
        return getVatCode();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value6() {
        return getVatDescription();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Byte value7() {
        return getForeignClient();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AnagClientRecord value1(Integer value) {
        setIdAnagClient(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AnagClientRecord value2(String value) {
        setCode(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AnagClientRecord value3(String value) {
        setCompanyName(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AnagClientRecord value4(String value) {
        setCountry(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AnagClientRecord value5(String value) {
        setVatCode(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AnagClientRecord value6(String value) {
        setVatDescription(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AnagClientRecord value7(Byte value) {
        setForeignClient(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AnagClientRecord values(Integer value1, String value2, String value3, String value4, String value5, String value6, Byte value7) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        value6(value6);
        value7(value7);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached AnagClientRecord
     */
    public AnagClientRecord() {
        super(AnagClient.ANAG_CLIENT);
    }

    /**
     * Create a detached, initialised AnagClientRecord
     */
    public AnagClientRecord(Integer idAnagClient, String code, String companyName, String country, String vatCode, String vatDescription, Byte foreignClient) {
        super(AnagClient.ANAG_CLIENT);

        set(0, idAnagClient);
        set(1, code);
        set(2, companyName);
        set(3, country);
        set(4, vatCode);
        set(5, vatDescription);
        set(6, foreignClient);
    }
}
